from common import log, queries
from events.common import Inform

def process_event(self, connection, event):
    log.notice(str(event))  # Log to console.

    # Forward error.
    connection.privmsg(self.network.home_channel, 'ERROR: %s' %s (event))
    Inform.notice_owners(self, connection, 'Received error from server: %s' % (event))
